import React from 'react';
import { CircularProgress, Box, Typography } from '@mui/material';

function LoadingComponent() {
  return (
    <Box
      sx={{
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        height: '100vh',
        width: '100%',
        flexDirection: 'column',
      }}
    >
      <CircularProgress size={50} color="primary" />
      <Typography variant="h6" sx={{ marginTop: 2 }}>
        Loading...
      </Typography>
    </Box>
  );
}

export default LoadingComponent;
